=== debian/changelog ===
emacs-pdf-tools (0.70-1) unstable; urgency=medium

  * Initial release (Closes: #826393)

 -- Rémi Vanicat <vanicat@debian.org>  Tue, 19 Apr 2016 21:30:24 +0200
