=== debian/control ===
Source: emacs-pdf-tools
Section: text
Priority: optional
Maintainer: Debian Emacs addons team <pkg-emacsen-addons@lists.debian.org>
Uploaders: Rémi Vanicat <vanicat@debian.org>
Build-Depends: debhelper (>=9), dh-elpa, libsynctex-dev, libpng-dev, libz-dev, libpoppler-glib-dev, libpoppler-private-dev
Standards-Version: 3.9.8
Homepage: https://github.com/politza/pdf-tools
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-emacsen/pkg/emacs-pdf-tools.git
Vcs-Git: https://anonscm.debian.org/git/pkg-emacsen/pkg/emacs-pdf-tools.git

Package: elpa-pdf-tools
Architecture: all
Depends: ${misc:Depends}, ${elpa:Depends}, emacsen-common (>= 2.0.8), emacs, elpa-pdf-tools-server
Built-Using: ${misc:Built-Using}
Description: Display and interact with pdf in Emacs.
 This mode replace DocView for PDF files.  The key difference is, that pages
 are created on-demand and stored in memory.
 .
 One can also get all kinds of information about a document, add
 annotation, copy and paste, follow link...
 .
 With synctex one can also get to the tex source of a part of a
 document.

Package: elpa-pdf-tools-server
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: server for Emacs's pdf-tools
 This package contain the server needed by elpa-pdf-tools to transform
 pdf into png to be displayed by Emacs.
 .
 You probably need it only for elpa-pdf-tools
