## emacs-pdf-tools 0.80

=== Makefile ===
--- 
+++ 
@@ -11,10 +11,11 @@
 
 # Note: If you change this, also change it in lisp/pdf-tools.el and
 # server/configure.ac .
-PACKAGE_VERSION = 0.70
+PACKAGE_VERSION = 0.80
 PKGFILE_CONTENT = (define-package "pdf-tools" "$(PACKAGE_VERSION)"	\
 		   "Support library for PDF documents."			\
-		   (quote ((emacs "24.3") (let-alist "1.0.1")))		\
+		   (quote ((emacs "24.3") (let-alist "1.0.4")		\
+			   (tablist "0.70")))				\
 		   :keywords						\
 		   (quote ("files" "multimedia")))
 
@@ -25,7 +26,7 @@
 
 all: package
 
-clean: 
+clean:
 	rm -rf -- $(PACKAGE_DIR)
 	rm -f -- $(PACKAGE_NAME).tar
 	rm -f -- lisp/*.elc
@@ -43,7 +44,7 @@
 	echo '$(PKGFILE_CONTENT)' > '$(PACKAGE_DIR)/pdf-tools-pkg.el'
 	tar cf '$(PACKAGE_NAME).tar' '$(PACKAGE_DIR)'
 
-melpa-package: 
+melpa-package:
 	$(MAKE) distclean
 	mkdir -p '$(PACKAGE_DIR)/build'
 	cp lisp/*.el README '$(PACKAGE_DIR)'
@@ -88,6 +89,11 @@
 
 melpa-build: server/epdfinfo
 	-cp -p server/epdfinfo ..
+	@if [ "$(shell uname -o)" = "Msys" ]; then \
+		for f in $(shell ldd server/epdfinfo | awk '/mingw/ {print $$3}'); do \
+			cp $$f ..; \
+		done; \
+	fi
 	$(MAKE) distclean
 	@if [ -x ../epdfinfo ]; then \
 		echo "~~~~~~~~~~~~~~~~~~~~~~~~~~~"; \
