=== debian/changelog ===
emacs-pdf-tools (0.80-1build1) bionic; urgency=medium

  * No-change rebuild for poppler soname change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 25 Jan 2018 05:04:55 +0000

emacs-pdf-tools (0.80-1) unstable; urgency=medium

  * New upstream released
  * drop 0002-Look-for-epdfinfo-where-it-is.patch

 -- Rémi Vanicat <vanicat@debian.org>  Sat, 16 Sep 2017 23:01:41 +0200

emacs-pdf-tools (0.70-3) unstable; urgency=medium

  * Correct the address of the Debian Emacs addons team

 -- Rémi Vanicat <vanicat@debian.org>  Fri, 20 Jan 2017 10:57:44 +0100

emacs-pdf-tools (0.70-2) unstable; urgency=medium

  * Correct pdf-info-epdfinfo-program default value.

 -- Rémi Vanicat <vanicat@debian.org>  Tue, 18 Oct 2016 17:43:26 +0200
