=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: emacs-pdf-tools
 Section: text
 Priority: optional
-Maintainer: Debian Emacs addons team <pkg-emacsen-addons@lists.debian.org>
+Maintainer: Debian Emacs addons team <pkg-emacsen-addons@lists.alioth.debian.org>
 Uploaders: Rémi Vanicat <vanicat@debian.org>
 Build-Depends: debhelper (>=9), dh-elpa, libsynctex-dev, libpng-dev, libz-dev, libpoppler-glib-dev, libpoppler-private-dev
 Standards-Version: 3.9.8
