=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ 

override_dh_auto_build:
	make server/epdfinfo

override_dh_install:
	dh_install
	dh_elpa

override_dh_auto_test:
	@echo skipping test

override_dh_clean:
	dh_clean
	rm -f server/ar-lib server/compile
