## emacs-pdf-tools 0.90

=== debian/changelog ===
emacs-pdf-tools (0.90-3build2) focal; urgency=medium

  * Rebuild with the new poppler soname

 -- Sebastien Bacher <seb128@debian.org>  Fri, 27 Mar 2020 18:07:08 +0100

emacs-pdf-tools (0.90-3build1) focal; urgency=medium

  * Rebuild with the new poppler soname

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 24 Feb 2020 15:16:57 +0100

emacs-pdf-tools (0.90-3) unstable; urgency=medium

  * Team upload.
  * Regenerate source package with quilt patches (Closes: #935711).

 -- David Bremner <bremner@debian.org>  Sun, 25 Aug 2019 14:46:09 -0300

emacs-pdf-tools (0.90-2) unstable; urgency=medium

  * Team upload.
  * Rebuild with current dh-elpa

 -- David Bremner <bremner@debian.org>  Sun, 25 Aug 2019 09:24:26 -0300

emacs-pdf-tools (0.90-1) unstable; urgency=medium

  [ Rémi Vanicat ]
  * New upstream released
  * Drop patches included upstream
  * Update 0001-Use-debian-libsynctex-dev.patch patch
  * Skipping test in server/test
  * Bump standard version to 4.3.0

  [ Yangfl ]
  * d/rules: Add hardening options
  * Remove full stop in package synopsis
  * Bump debhelper compat to 11

 -- Rémi Vanicat <vanicat@debian.org>  Sun, 13 Jan 2019 08:59:04 +0100

emacs-pdf-tools (0.80-4) unstable; urgency=medium

  [ David Bremner ]
  * Team Upload
  * Change maintainer list to debian-emacsen@lists.debian.org

  [ Yangfl ]
  * Backport upstream commits to fix FTBFS with poppler 0.69.0 (Closes: #910866)

 -- David Bremner <bremner@debian.org>  Wed, 17 Oct 2018 22:05:41 -0300

emacs-pdf-tools (0.80-3) unstable; urgency=medium

  * Team upload.
  * Patch epdfinfo.c for new synctex (Closes: #896562).
    Thanks to Samuel Thibault for the patch.
  * Point Vcs-* at salsa.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sun, 29 Apr 2018 09:43:39 -0700

emacs-pdf-tools (0.80-2) unstable; urgency=medium

  * Add a README.Debian to document how to activate the package.

 -- Rémi Vanicat <vanicat@debian.org>  Sun, 10 Dec 2017 10:54:47 +0100
