=== debian/changelog ===
emacs-pdf-tools (1.0~20200512-2build4) jammy; urgency=medium

  * No-change rebuild against latest poppler

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Fri, 04 Feb 2022 12:39:19 -0500

emacs-pdf-tools (1.0~20200512-2build3) jammy; urgency=medium

  * Rebuild for the new poppler soname

 -- Sebastien Bacher <seb128@debian.org>  Tue, 02 Nov 2021 10:47:45 +0100

emacs-pdf-tools (1.0~20200512-2build2) impish; urgency=medium

  * Rebuiid with the new poppler soname

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 03 Jun 2021 12:12:38 +0200

emacs-pdf-tools (1.0~20200512-2build1) hirsute; urgency=medium

  * Rebuiid with the new poppler soname

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 24 Feb 2021 13:13:18 +0100

emacs-pdf-tools (1.0~20200512-2) unstable; urgency=medium

  * Team upload
  * Upload to unstable

 -- David Bremner <bremner@debian.org>  Sun, 13 Sep 2020 07:43:03 -0300

emacs-pdf-tools (1.0~20200512-1) experimental; urgency=medium

  * Team upload
  * New upstream snapshot. Bug fix: "annotation editing broken with emacs
    27.1" (Closes: #969462).
  * Drop patch fix-for-new-libsynctex; equivalent is upstream now.
  * Add versioned depends on libpoppler-glib8 (Closes: #969537).

 -- David Bremner <bremner@debian.org>  Sat, 05 Sep 2020 08:52:01 -0300
