=== debian/control ===
--- 
+++ 
@@ -27,7 +27,7 @@
 
 Package: elpa-pdf-tools-server
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: libpoppler-glib8 (>= 20.09.0~), ${misc:Depends}, ${shlibs:Depends}
 Description: server for Emacs's pdf-tools
  This package contain the server needed by elpa-pdf-tools to transform
  pdf into png to be displayed by Emacs.
