=== debian/watch ===
--- 
+++ 
@@ -7,6 +7,6 @@
 version=4
 
 # GitHub hosted projects
-opts="filenamemangle="s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%pdf-tools-$1.tar.gz%" \
+opts=filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%emacs-pdf-tools-$1.tar.gz% \
    https://github.com/politza/pdf-tools/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
