=== debian/changelog ===
emacs-pdf-tools (1.0~20220723-1) unstable; urgency=medium

  * Team upload.
  * Update to new upstream snapshot 1.0~20220723, from new upstream repo.

  * d/control:
    - Bump Standards version to 4.5.1 (no changes required).
    - Bump debhelper compat to 13 (correct elpa-pdf-tools-server.install).
    - Add optional Rules-Requires-Root field to respect Debian Policy.
    - Update Homepage to match new upstream (politza -> vedang).

  * d/changelog:
    - Update Source to match new upstream (politza -> vedang).

  * d/watch:
    - Follow new upstream (politza -> vedang).
    - Remove dh_make template.

 -- Aymeric Agon-Rambosson <aymeric.agon@yandex.com>  Sun, 07 Aug 2022 23:51:44 +0200
