=== debian/control ===
--- 
+++ 
@@ -3,11 +3,12 @@
 Priority: optional
 Maintainer: Debian Emacs addons team <debian-emacsen@lists.debian.org>
 Uploaders: Rémi Vanicat <vanicat@debian.org>
-Build-Depends: debhelper (>=11~),
+Build-Depends: debhelper-compat (= 13),
 Build-Depends-Indep: dh-elpa,
 Build-Depends-Arch: libsynctex-dev, libpng-dev, libz-dev, libpoppler-glib-dev, libpoppler-private-dev,
-Standards-Version: 4.3.0
-Homepage: https://github.com/politza/pdf-tools
+Standards-Version: 4.5.1
+Rules-Requires-Root: binary-targets
+Homepage: https://github.com/vedang/pdf-tools
 Vcs-Browser: https://salsa.debian.org/emacsen-team/emacs-pdf-tools
 Vcs-Git: https://salsa.debian.org/emacsen-team/emacs-pdf-tools.git/
