## emacs-pdf-tools 1.0.0

=== debian/changelog ===
emacs-pdf-tools (1.0.0-1) unstable; urgency=medium

  * Team upload.
  * Update to new upstream version 1.0.0.
  * d/control :
    - Bump Standards-Version to 4.6.2 (no changes required).
    - Update Maintainer team name (Emacs addons team -> Emacsen team).
    - Update Section (text -> editors).

 -- Aymeric Agon-Rambosson <aymeric.agon@yandex.com>  Sat, 28 Jan 2023 19:07:23 +0100
