=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Source: emacs-pdf-tools
-Section: text
+Section: editors
 Priority: optional
-Maintainer: Debian Emacs addons team <debian-emacsen@lists.debian.org>
+Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
 Uploaders: Rémi Vanicat <vanicat@debian.org>
 Build-Depends: debhelper-compat (= 13),
 Build-Depends-Indep: dh-elpa,
 Build-Depends-Arch: libsynctex-dev, libpng-dev, libz-dev, libpoppler-glib-dev, libpoppler-private-dev,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: binary-targets
 Homepage: https://github.com/vedang/pdf-tools
 Vcs-Browser: https://salsa.debian.org/emacsen-team/emacs-pdf-tools
