## emacs-pdf-tools 1.1.0

=== Makefile ===
--- 
+++ 
@@ -26,6 +26,11 @@
 # Compile the Lisp sources
 bytecompile: .cask/$(emacs_version)
 	$(CASK) exec $(emacs) --batch -L lisp -f batch-byte-compile lisp/*.el
+
+# Clean bytecompiled sources
+byteclean:
+	rm -f -- lisp/*.elc
+	rm -f -- lisp/*.eln
 
 # Run ERT tests
 test: all
@@ -68,9 +73,8 @@
 		-f $(pkgname)-melpa.tar
 
 # Various clean targets
-clean: server-clean
+clean: server-clean byteclean
 	rm -f -- $(pkgfile)
-	rm -f -- lisp/*.elc
 	rm -f -- pdf-tools-readme.txt
 	rm -f -- pdf-tools-$(version).entry
