=== server/test/Makefile ===
--- 
+++ 
@@ -7,16 +7,31 @@
 		$(notdir $(wildcard docker/templates/*.Dockerfile.in)))
 
 # Arguments to pass to docker build .
-DOCKER_BUILD_ARGS = -q
+DOCKER_BUILD_ARGS = -q -t
 
 # Advice make not to delete these "intermediate" files.
-.PRECIOUS: docker/%.Dockerfile docker/.%.build
+.PRECIOUS: docker/%.Dockerfile docker/.%.build docker/.%.container
 
-.PHONY: all test check docker/build
+# Avoid conflicts with real files
+SUBDIRS = docker
+.PHONY: subdirs $(SUBDIRS)
 
 all: docker/test
 test: docker/test
 check: docker/test
+
+# Create the Podman VM, if it hasn't already been created
+create-vm:
+	podman machine init --cpus 8 --memory 8192 --disk-size 50 || exit 0
+
+# Start Podman, if it isn't running
+start-vm: create-vm
+	podman machine start || exit 0
+	touch .$@
+
+# Stop Podman
+stop-vm:
+	podman machine stop
 
 # Create the Dockerfile
 docker/%.Dockerfile: docker/templates/%.Dockerfile.in \
@@ -24,16 +39,22 @@
 	@echo Creating Dockerfile for target $*
 	cat $^ > $@
 
-# Build the Dockerfile
+# Build the Docker Image. Since we are building a new image, remove the existing container.
 docker/.%.build: docker/%.Dockerfile ../autobuild docker/lib
-	@echo Building target $*
-	podman image build $(DOCKER_BUILD_ARGS) -t epdfinfo/$* -f $< ../ || exit 0
+	@echo Building target image $*
+	podman image build $(DOCKER_BUILD_ARGS) epdfinfo/$* -f $< ../../
 	touch $@
 
-# Run the Dockerfile
-docker/%: docker/.%.build
+# Build the Docker Container
+docker/.%.container: docker/.%.build
+	@echo Building target container $*
+	podman container create $(DOCKER_BUILD_ARGS) --name epdfinfo-$* epdfinfo/$*
+	touch $@
+
+# Run the Containers generated by the dockerfile
+docker/%: docker/.%.container
 	@echo Running tests on target $*
-	podman container run --rm --name epdfinfo-$* epdfinfo/$*
+	podman container start -a epdfinfo-$*
 
 # Run all Dockerfiles
 docker/test: docker/build $(patsubst %, docker/%, $(DOCKER_OS))
@@ -47,8 +68,11 @@
 
 docker/clean: $(patsubst %, docker/.%.clean, $(DOCKER_OS))
 
+test: docker/test
+
 clean: docker/clean
 	rm -f -- docker/.[^.]*.build
+	rm -f -- docker/.[^.]*.container
 	rm -f -- docker/*.Dockerfile
 
 print:
