=== debian/changelog ===
emacs-pdf-tools (1.1.0-1ubuntu2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:47:57 +1100

emacs-pdf-tools (1.1.0-1ubuntu1) noble; urgency=high

  * Remove hardcoded libpoppler-glib8t dependency

 -- Julian Andres Klode <juliank@ubuntu.com>  Sat, 23 Mar 2024 20:19:34 +0100

emacs-pdf-tools (1.1.0-1build3) noble; urgency=medium

  * No-change rebuild against .

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Fri, 22 Mar 2024 09:35:21 +1300

emacs-pdf-tools (1.1.0-1build2) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 11 Mar 2024 22:33:18 +0000

emacs-pdf-tools (1.1.0-1build1) noble; urgency=medium

  * No-change rebuild against libpng16-16t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 29 Feb 2024 06:25:51 +0000

emacs-pdf-tools (1.1.0-1) unstable; urgency=medium

  * Update to new upstream version 1.1.0.
  * Add myself, Aymeric Agon-Rambosson, to Uploaders.

 -- Aymeric Agon-Rambosson <aymeric.agon@yandex.com>  Sun, 05 Nov 2023 03:05:29 +0100
