=== debian/control ===
--- 
+++ 
@@ -1,8 +1,10 @@
 Source: emacs-pdf-tools
 Section: editors
 Priority: optional
-Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
-Uploaders: Rémi Vanicat <vanicat@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
+Uploaders: Rémi Vanicat <vanicat@debian.org>,
+ Aymeric Agon-Rambosson <aymeric.agon@yandex.com>,
 Build-Depends: debhelper-compat (= 13),
 Build-Depends-Indep: dh-elpa,
 Build-Depends-Arch: libsynctex-dev, libpng-dev, libz-dev, libpoppler-glib-dev, libpoppler-private-dev,
@@ -28,7 +30,7 @@
 
 Package: elpa-pdf-tools-server
 Architecture: any
-Depends: libpoppler-glib8 (>= 20.09.0~), ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: server for Emacs's pdf-tools
  This package contain the server needed by elpa-pdf-tools to transform
  pdf into png to be displayed by Emacs.
