=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1


export DEB_BUILD_MAINT_OPTIONS = hardening=+all

export DEB_CFLAGS_MAINT_APPEND  =
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed


%-indep:
	dh $@ --with elpa

%-arch:
	dh $@ --sourcedirectory=server

build-indep:
	# nothing to compile

clean:
	dh $@ --sourcedirectory=server

build: build-arch

binary: binary-arch binary-indep

override_dh_clean-arch:
	dh_clean
	rm -f server/ar-lib server/compile
