=== debian/watch ===
version=4

opts=filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%emacs-pdf-tools-$1.tar.gz% \
   https://github.com/vedang/pdf-tools/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
