=== debian/changelog ===
emacs-pdf-tools (1.3.0-1) unstable; urgency=medium

  * New upstream release (Closes: #1124523)
  * Update Standards-Version to 4.7.3; no change needed
  * Drop `Priority: optional'; now default
  * Migrate d/watch to version 5
  * Refresh patches and mark `Forwarded: not-needed' as needed
  * Add d/gbp.conf matching the current practice
  * Add d/salsa-ci.yml with the default template
  * Use canonical URL in Vcs-Git.
  * Avoid explicitly specifying -Wl,--as-needed linker flag.
  * Add d/u/metadata generated by lintian-brush
  * Set upstream metadata fields: Bug-Submit.
  * Add myself to Uploaders

 -- Xiyue Deng <manphiz@gmail.com>  Sun, 04 Jan 2026 04:36:07 -0800

emacs-pdf-tools (1.1.0-3) unstable; urgency=medium

  * Team upload.
  * Rebuild against dh-elpa 2.1.5.
    Upload pushed to dgit-repos but not salsa.
    See <https://lists.debian.org/debian-emacsen/2024/07/msg00077.html>.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 25 Jul 2024 19:48:10 +0900

emacs-pdf-tools (1.1.0-2) unstable; urgency=medium

  * Team upload
  * d/control: remove explicit versioned dependency on libpoppler-glib8.
    Thanks to Julian Andres Klode for the suggestion (Closes: #1067568)

 -- Jeremy Sowden <azazel@debian.org>  Sat, 23 Mar 2024 19:48:47 +0000
