=== debian/control ===
--- 
+++ 
@@ -1,18 +1,17 @@
 Source: emacs-pdf-tools
 Section: editors
-Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
+Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
 Uploaders: Rémi Vanicat <vanicat@debian.org>,
  Aymeric Agon-Rambosson <aymeric.agon@yandex.com>,
+ Xiyue Deng <manphiz@gmail.com>,
 Build-Depends: debhelper-compat (= 13),
 Build-Depends-Indep: dh-elpa,
 Build-Depends-Arch: libsynctex-dev, libpng-dev, libz-dev, libpoppler-glib-dev, libpoppler-private-dev,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.3
 Rules-Requires-Root: binary-targets
 Homepage: https://github.com/vedang/pdf-tools
 Vcs-Browser: https://salsa.debian.org/emacsen-team/emacs-pdf-tools
-Vcs-Git: https://salsa.debian.org/emacsen-team/emacs-pdf-tools.git/
+Vcs-Git: https://salsa.debian.org/emacsen-team/emacs-pdf-tools.git
 
 Package: elpa-pdf-tools
 Architecture: all
