=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,6 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 export DEB_CFLAGS_MAINT_APPEND  =
-export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 
 
 %-indep:
