=== debian/watch ===
Version: 5

Template: Github
Owner: vedang
Project: pdf-tools
